Qt 5.9 | Qt 3D | C++ Classes | QBufferCapture

Qt 5.9.9 Reference Documentation

# QBufferCapture Class

(Qt3DRender::QBufferCapture)

Exchanges buffer data between GPU and CPU. More...

Header: | #include <QBufferCapture>
qmake: | QT += 3drender
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QBufferCapture(Qt3DCore::QNode *parent = nullptr)
| ~QBufferCapture()

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 11 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 properties inherited from Qt3DCore::QNode
- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode
- 1 protected function inherited from Qt3DRender::QFrameGraphNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Exchanges buffer data between GPU and CPU.

## Member Function Documentation

### QBufferCapture::QBufferCapture(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QBufferCapture.

### QBufferCapture::~QBufferCapture()

Destroys the instance of QBufferCapture.